Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.vecmath
Class Tuple4i

    java.lang.Object
      javax.vecmath.Tuple4i

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  Point4i

    public abstract class Tuple4i

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

A 4-element tuple represented by signed integer x,y,z,w coordinates.

Since:
  Java 3D 1.2
See Also:
  Serialized Form

Field Summary
`int` | `w` The w coordinate.
`int` | `x` The x coordinate.
`int` | `y` The y coordinate.
`int` | `z` The z coordinate.

Constructor Summary
`Tuple4i()` Constructs and initializes a Tuple4i to (0,0,0,0).
`Tuple4i(int[] t)` Constructs and initializes a Tuple4i from the array of length 4.
`Tuple4i(int x, int y, int z, int w)` Constructs and initializes a Tuple4i from the specified x, y, z, and w coordinates.
`Tuple4i(Tuple4i t1)` Constructs and initializes a Tuple4i from the specified Tuple4i.

Method Summary
`void` | `absolute()` Sets each component of this tuple to its absolute value.
`void` | `absolute(Tuple4i t)` Sets each component of the tuple parameter to its absolute value and places the modified values into this tuple.
`void` | `add(Tuple4i t1)` Sets the value of this tuple to the sum of itself and t1.
`void` | `add(Tuple4i t1, Tuple4i t2)` Sets the value of this tuple to the sum of tuples t1 and t2.
`void` | `clamp(int min, int max)` Clamps this tuple to the range [low, high].
`void` | `clamp(int min, int max, Tuple4i t)` Clamps the tuple parameter to the range [low, high] and places the values into this tuple.
`void` | `clampMax(int max)` Clamps the maximum value of this tuple to the max parameter.
`void` | `clampMax(int max, Tuple4i t)` Clamps the maximum value of the tuple parameter to the max parameter and places the values into this tuple.
`void` | `clampMin(int min)` Clamps the minimum value of this tuple to the min parameter.
`void` | `clampMin(int min, Tuple4i t)` Clamps the minimum value of the tuple parameter to the min parameter and places the values into this tuple.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`boolean` | `equals(java.lang.Object t1)` Returns true if the Object t1 is of type Tuple4i and all of the data members of t1 are equal to the corresponding data members in this Tuple4i.
`void` | `get(int[] t)` Copies the values of this tuple into the array t.
`void` | `get(Tuple4i t)` Copies the values of this tuple into the tuple t.
`int` | `hashCode()` Returns a hash code value based on the data values in this object.
`void` | `negate()` Negates the value of this tuple in place.
`void` | `negate(Tuple4i t1)` Sets the value of this tuple to the negation of tuple t1.
`void` | `scale(int s)` Sets the value of this tuple to the scalar multiplication of the scale factor with this.
`void` | `scale(int s, Tuple4i t1)` Sets the value of this tuple to the scalar multiplication of tuple t1.
`void` | `scaleAdd(int s, Tuple4i t1)` Sets the value of this tuple to the scalar multiplication of itself and then adds tuple t1 (this = s*this + t1).
`void` | `scaleAdd(int s, Tuple4i t1, Tuple4i t2)` Sets the value of this tuple to the scalar multiplication of tuple t1 plus tuple t2 (this = s*t1 + t2).
`void` | `set(int[] t)` Sets the value of this tuple to the specified coordinates in the array of length 4.
`void` | `set(int x, int y, int z, int w)` Sets the value of this tuple to the specified x, y, z, and w coordinates.
`void` | `set(Tuple4i t1)` Sets the value of this tuple to the value of tuple t1.
`void` | `sub(Tuple4i t1)` Sets the value of this tuple to the difference of itself and t1 (this = this - t1).
`void` | `sub(Tuple4i t1, Tuple4i t2)` Sets the value of this tuple to the difference of tuples t1 and t2 (this = t1 - t2).
`java.lang.String` | `toString()` Returns a string that contains the values of this Tuple4i.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

  The x coordinate.

### y

    public int y

  The y coordinate.

### z

    public int z

  The z coordinate.

### w

    public int w

  The w coordinate.

Constructor Detail

### Tuple4i

    public Tuple4i(int x,
                   int y,
                   int z,
                   int w)

  Constructs and initializes a Tuple4i from the specified x, y, z, and w coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate
    `w` - the w coordinate

### Tuple4i

    public Tuple4i(int[] t)

  Constructs and initializes a Tuple4i from the array of length 4.

  Parameters:
    `t` - the array of length 4 containing x, y, z, and w in order.

### Tuple4i

    public Tuple4i(Tuple4i t1)

  Constructs and initializes a Tuple4i from the specified Tuple4i.

  Parameters:
    `t1` - the Tuple4i containing the initialization x, y, z, and w data.

### Tuple4i

    public Tuple4i()

  Constructs and initializes a Tuple4i to (0,0,0,0).

Method Detail

### set

    public final void set(int x,
                          int y,
                          int z,
                          int w)

  Sets the value of this tuple to the specified x, y, z, and w coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate
    `w` - the w coordinate

### set

    public final void set(int[] t)

  Sets the value of this tuple to the specified coordinates in the array of length 4.

  Parameters:
    `t` - the array of length 4 containing x, y, z, and w in order.

### set

    public final void set(Tuple4i t1)

  Sets the value of this tuple to the value of tuple t1.

  Parameters:
    `t1` - the tuple to be copied

### get

    public final void get(int[] t)

  Copies the values of this tuple into the array t.

  Parameters:
    `t` - the array

### get

    public final void get(Tuple4i t)

  Copies the values of this tuple into the tuple t.

  Parameters:
    `t` - the target tuple

### add

    public final void add(Tuple4i t1,
                          Tuple4i t2)

  Sets the value of this tuple to the sum of tuples t1 and t2.

  Parameters:
    `t1` - the first tuple
    `t2` - the second tuple

### add

    public final void add(Tuple4i t1)

  Sets the value of this tuple to the sum of itself and t1.

  Parameters:
    `t1` - the other tuple

### sub

    public final void sub(Tuple4i t1,
                          Tuple4i t2)

  Sets the value of this tuple to the difference of tuples t1 and t2 (this = t1 - t2).

  Parameters:
    `t1` - the first tuple
    `t2` - the second tuple

### sub

    public final void sub(Tuple4i t1)

  Sets the value of this tuple to the difference of itself and t1 (this = this - t1).

  Parameters:
    `t1` - the other tuple

### negate

    public final void negate(Tuple4i t1)

  Sets the value of this tuple to the negation of tuple t1.

  Parameters:
    `t1` - the source tuple

### negate

    public final void negate()

  Negates the value of this tuple in place.

### scale

    public final void scale(int s,
                            Tuple4i t1)

  Sets the value of this tuple to the scalar multiplication of tuple t1.

  Parameters:
    `s` - the scalar value
    `t1` - the source tuple

### scale

    public final void scale(int s)

  Sets the value of this tuple to the scalar multiplication of the scale factor with this.

  Parameters:
    `s` - the scalar value

### scaleAdd

    public final void scaleAdd(int s,
                               Tuple4i t1,
                               Tuple4i t2)

  Sets the value of this tuple to the scalar multiplication of tuple t1 plus tuple t2 (this = s*t1 + t2).

  Parameters:
    `s` - the scalar value
    `t1` - the tuple to be multipled
    `t2` - the tuple to be added

### scaleAdd

    public final void scaleAdd(int s,
                               Tuple4i t1)

  Sets the value of this tuple to the scalar multiplication of itself and then adds tuple t1 (this = s*this + t1).

  Parameters:
    `s` - the scalar value
    `t1` - the tuple to be added

### toString

    public java.lang.String toString()

  Returns a string that contains the values of this Tuple4i. The form is (x,y,z,w).

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation

### equals

    public boolean equals(java.lang.Object t1)

  Returns true if the Object t1 is of type Tuple4i and all of the data members of t1 are equal to the corresponding data members in this Tuple4i.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `t1` - the object with which the comparison is made
  Returns:
    true or false

### hashCode

    public int hashCode()

  Returns a hash code value based on the data values in this object. Two different Tuple4i objects with identical data values (i.e., Tuple4i.equals returns true) will return the same hash code value. Two objects with different data members may return the same hash value, although this is not likely.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the integer hash code value

### clamp

    public final void clamp(int min,
                            int max,
                            Tuple4i t)

  Clamps the tuple parameter to the range [low, high] and places the values into this tuple.

  Parameters:
    `min` - the lowest value in the tuple after clamping
    `max` - the highest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### clampMin

    public final void clampMin(int min,
                               Tuple4i t)

  Clamps the minimum value of the tuple parameter to the min parameter and places the values into this tuple.

  Parameters:
    `min` - the lowest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### clampMax

    public final void clampMax(int max,
                               Tuple4i t)

  Clamps the maximum value of the tuple parameter to the max parameter and places the values into this tuple.

  Parameters:
    `max` - the highest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### absolute

    public final void absolute(Tuple4i t)

  Sets each component of the tuple parameter to its absolute value and places the modified values into this tuple.

  Parameters:
    `t` - the source tuple, which will not be modified

### clamp

    public final void clamp(int min,
                            int max)

  Clamps this tuple to the range [low, high].

  Parameters:
    `min` - the lowest value in this tuple after clamping
    `max` - the highest value in this tuple after clamping

### clampMin

    public final void clampMin(int min)

  Clamps the minimum value of this tuple to the min parameter.

  Parameters:
    `min` - the lowest value in this tuple after clamping

### clampMax

    public final void clampMax(int max)

  Clamps the maximum value of this tuple to the max parameter.

  Parameters:
    `max` - the highest value in the tuple after clamping

### absolute

    public final void absolute()

  Sets each component of this tuple to its absolute value.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of this instance.
  Throws:
    `java.lang.OutOfMemoryError` - if there is not enough memory.
  Since:
    Java 3D 1.3
  See Also:
    `Cloneable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD